# Gio::DBus::SignalInfo Class Reference
[D-Bus API]

Stores information about a signal on a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions

void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusSignalInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusSignalInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusSignalInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Protected Member Functions

| SignalInfo ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::SignalInfo > | wrap (GDBusSignalInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Stores information about a signal on a D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::SignalInfo::SignalInfo | ( | ) | `[protected]`

## Member Function Documentation

GDBusSignalInfo* Gio::DBus::SignalInfo::gobj | ( | ) |

Provides access to the underlying C instance.

const GDBusSignalInfo* Gio::DBus::SignalInfo::gobj | ( | ) | const

Provides access to the underlying C instance.

GDBusSignalInfo* Gio::DBus::SignalInfo::gobj_copy | ( | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBus::SignalInfo::operator delete | ( | void * | ,
|  | size_t |
| ) |  | `[protected]`

void Gio::DBus::SignalInfo::reference | ( | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::SignalInfo::unreference | ( | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::SignalInfo > wrap | ( | GDBusSignalInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.